[base]

[setting]
name				= 农小盒
;园区默认id，如有cookie，此处的值会自动变成cookie的值
farm				= 1
site				= http://www.nongxiaohe.com/
copyright			= 2017 nongxiaohe.com v1.0.0


[gateway]
;暂时写在这里 网关对应园区id 这里从数据库里读取
gateway				= 1

[db]
rdb					= postgresql
tsdb				= influxdb

[mqtt]
host				= iot-emq
port				= 1883
username			= admin
password			= public
timeout				= 60
;topic定义
topic				= method/type/gateway/device
sub					= pic,sensor,control,power,status,log

[postgresql]
host				= iot-pgsql
port				= 5432
username			= postgres
password			= 123456
dbname				= nongxiaohe
prefix				= demeter
;允许自动建表
create				= True

[influxdb]
host				= iot-influx
port				= 8086
username			= root
password			= root
dbname				= nongxiaohe
prefix				= demeter

;后台配置
[admin]
port				= 8087
debug				= True
;请求的buffersize
max_buffer_size		= 210763776
;子进程
process				= 0
;top菜单的数据来源
top 				= farm

;前台配置
[front]
port				= 8088
debug				= True
xsrf_cookies		= False
;请求的buffersize
max_buffer_size		= 210763776
;子进程
process				= 0
url					= http://api.nongxiaohe.com/device
qrcode				= https://api.nongxiaohe.com/farm/qrcode?url=
;qrcode				= http://pan.baidu.com/share/qrcode?w=300&h=300&url=
qrcode_create		= http://pan.baidu.com/share/qrcode?w=300&h=300&url=

[web]
port				= 8089
debug				= True
max_buffer_size		= 210763776
process				= 0
url					= http://www.nongxiaohe.com/
originurl			= http://www.nongxiaohe.com/origin?id=

;微信小程序配置
[weixinApp]
appid				= wxf0a528da6a913aa1
secret				= 20a4478017a8dffa3c9271041b13dc0a
login				= https://api.weixin.qq.com/sns/jscode2session